Atualizar tronco SIP
curl --request PUT \
--url https://suasofia.online/api/user/phone-numbers/sip-trunks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "<string>",
"nickname": "<string>",
"sip_username": "<string>",
"sip_password": "<string>",
"sip_address": "<string>",
"sip_calling_format": "<string>",
"inbound_authorization_type": "<string>",
"allowed_inbound_ips": [
{}
],
"country_code": "<string>",
"outbound_proxy": true
}
'import requests
url = "https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}"
payload = {
"phone_number": "<string>",
"nickname": "<string>",
"sip_username": "<string>",
"sip_password": "<string>",
"sip_address": "<string>",
"sip_calling_format": "<string>",
"inbound_authorization_type": "<string>",
"allowed_inbound_ips": [{}],
"country_code": "<string>",
"outbound_proxy": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '<string>',
nickname: '<string>',
sip_username: '<string>',
sip_password: '<string>',
sip_address: '<string>',
sip_calling_format: '<string>',
inbound_authorization_type: '<string>',
allowed_inbound_ips: [{}],
country_code: '<string>',
outbound_proxy: true
})
};
fetch('https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'phone_number' => '<string>',
'nickname' => '<string>',
'sip_username' => '<string>',
'sip_password' => '<string>',
'sip_address' => '<string>',
'sip_calling_format' => '<string>',
'inbound_authorization_type' => '<string>',
'allowed_inbound_ips' => [
[
]
],
'country_code' => '<string>',
'outbound_proxy' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}"
payload := strings.NewReader("{\n \"phone_number\": \"<string>\",\n \"nickname\": \"<string>\",\n \"sip_username\": \"<string>\",\n \"sip_password\": \"<string>\",\n \"sip_address\": \"<string>\",\n \"sip_calling_format\": \"<string>\",\n \"inbound_authorization_type\": \"<string>\",\n \"allowed_inbound_ips\": [\n {}\n ],\n \"country_code\": \"<string>\",\n \"outbound_proxy\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"phone_number\": \"<string>\",\n \"nickname\": \"<string>\",\n \"sip_username\": \"<string>\",\n \"sip_password\": \"<string>\",\n \"sip_address\": \"<string>\",\n \"sip_calling_format\": \"<string>\",\n \"inbound_authorization_type\": \"<string>\",\n \"allowed_inbound_ips\": [\n {}\n ],\n \"country_code\": \"<string>\",\n \"outbound_proxy\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phone_number\": \"<string>\",\n \"nickname\": \"<string>\",\n \"sip_username\": \"<string>\",\n \"sip_password\": \"<string>\",\n \"sip_address\": \"<string>\",\n \"sip_calling_format\": \"<string>\",\n \"inbound_authorization_type\": \"<string>\",\n \"allowed_inbound_ips\": [\n {}\n ],\n \"country_code\": \"<string>\",\n \"outbound_proxy\": true\n}"
response = http.request(request)
puts response.read_body{
"message": "Tronco SIP atualizado com sucesso.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provedor X — Principal",
"sip_username": "new_username",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "auth",
"allowed_inbound_ips": null,
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_newtrunkid2",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"message": "Tronco SIP atualizado com sucesso.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provedor X — Principal",
"sip_username": "myuser",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "ip",
"allowed_inbound_ips": ["203.0.113.10"],
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_yyyyyyyyyyyy",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"error": "Tronco SIP não encontrado."
}
{
"message": "Os dados fornecidos são inválidos.",
"errors": {
"allowed_inbound_ips": ["Pelo menos um endereço IP permitido é necessário quando o tipo de autorização é \"ip\"."]
}
}
{
"error": "Falha ao atualizar o tronco SIP. Por favor, tente novamente ou entre em contato com o suporte."
}
SIP Trunks
Atualizar tronco SIP
Atualiza uma configuração de tronco SIP existente
PUT
/
user
/
phone-numbers
/
sip-trunks
/
{id}
Atualizar tronco SIP
curl --request PUT \
--url https://suasofia.online/api/user/phone-numbers/sip-trunks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "<string>",
"nickname": "<string>",
"sip_username": "<string>",
"sip_password": "<string>",
"sip_address": "<string>",
"sip_calling_format": "<string>",
"inbound_authorization_type": "<string>",
"allowed_inbound_ips": [
{}
],
"country_code": "<string>",
"outbound_proxy": true
}
'import requests
url = "https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}"
payload = {
"phone_number": "<string>",
"nickname": "<string>",
"sip_username": "<string>",
"sip_password": "<string>",
"sip_address": "<string>",
"sip_calling_format": "<string>",
"inbound_authorization_type": "<string>",
"allowed_inbound_ips": [{}],
"country_code": "<string>",
"outbound_proxy": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '<string>',
nickname: '<string>',
sip_username: '<string>',
sip_password: '<string>',
sip_address: '<string>',
sip_calling_format: '<string>',
inbound_authorization_type: '<string>',
allowed_inbound_ips: [{}],
country_code: '<string>',
outbound_proxy: true
})
};
fetch('https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'phone_number' => '<string>',
'nickname' => '<string>',
'sip_username' => '<string>',
'sip_password' => '<string>',
'sip_address' => '<string>',
'sip_calling_format' => '<string>',
'inbound_authorization_type' => '<string>',
'allowed_inbound_ips' => [
[
]
],
'country_code' => '<string>',
'outbound_proxy' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}"
payload := strings.NewReader("{\n \"phone_number\": \"<string>\",\n \"nickname\": \"<string>\",\n \"sip_username\": \"<string>\",\n \"sip_password\": \"<string>\",\n \"sip_address\": \"<string>\",\n \"sip_calling_format\": \"<string>\",\n \"inbound_authorization_type\": \"<string>\",\n \"allowed_inbound_ips\": [\n {}\n ],\n \"country_code\": \"<string>\",\n \"outbound_proxy\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"phone_number\": \"<string>\",\n \"nickname\": \"<string>\",\n \"sip_username\": \"<string>\",\n \"sip_password\": \"<string>\",\n \"sip_address\": \"<string>\",\n \"sip_calling_format\": \"<string>\",\n \"inbound_authorization_type\": \"<string>\",\n \"allowed_inbound_ips\": [\n {}\n ],\n \"country_code\": \"<string>\",\n \"outbound_proxy\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://suasofia.online/api/user/phone-numbers/sip-trunks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phone_number\": \"<string>\",\n \"nickname\": \"<string>\",\n \"sip_username\": \"<string>\",\n \"sip_password\": \"<string>\",\n \"sip_address\": \"<string>\",\n \"sip_calling_format\": \"<string>\",\n \"inbound_authorization_type\": \"<string>\",\n \"allowed_inbound_ips\": [\n {}\n ],\n \"country_code\": \"<string>\",\n \"outbound_proxy\": true\n}"
response = http.request(request)
puts response.read_body{
"message": "Tronco SIP atualizado com sucesso.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provedor X — Principal",
"sip_username": "new_username",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "auth",
"allowed_inbound_ips": null,
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_newtrunkid2",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"message": "Tronco SIP atualizado com sucesso.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provedor X — Principal",
"sip_username": "myuser",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "ip",
"allowed_inbound_ips": ["203.0.113.10"],
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_yyyyyyyyyyyy",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"error": "Tronco SIP não encontrado."
}
{
"message": "Os dados fornecidos são inválidos.",
"errors": {
"allowed_inbound_ips": ["Pelo menos um endereço IP permitido é necessário quando o tipo de autorização é \"ip\"."]
}
}
{
"error": "Falha ao atualizar o tronco SIP. Por favor, tente novamente ou entre em contato com o suporte."
}
Este endpoint atualiza um tronco SIP existente. Inclua apenas os campos que deseja alterar — atualizações parciais são suportadas. Alterar credenciais, endereço ou configurações de proxy reaprovisiona automaticamente os troncos de infraestrutura de voz afetados.
Campos como
Parâmetros de Caminho
integer
required
O identificador único do tronco SIP a ser atualizado
Parâmetros do Corpo
Todos os campos são opcionais. Envie apenas os campos que deseja atualizar.string
A extensão SIP ou número de telefone (1-15 caracteres)
string
Um rótulo curto e amigável para o tronco. Máximo de 50 caracteres. Envie
null para limpar.string
Nome de usuário para autenticação SIP (3-128 caracteres)
string
Senha para autenticação SIP (mínimo de 3 caracteres)
string
O endereço do servidor SIP sem porta
string
O formato do número de chamada de saída:
+e164, e164 ou nationalstring
Como as chamadas de entrada são autenticadas:
auth ou ip. Ao mudar para ip, você também deve fornecer allowed_inbound_ips. Ao mudar para auth, qualquer lista de IPs existente é limpa.array
Array de endereços IP permitidos para chamadas de entrada. Obrigatório quando
inbound_authorization_type é definido como ip.string
Código do país ISO 3166-2
boolean
Roteia chamadas de saída através de um endereço IP fixo
Resposta
string
Mensagem de sucesso
object
O objeto do tronco SIP atualizado (mesmos campos que Obter tronco SIP)
{
"message": "Tronco SIP atualizado com sucesso.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provedor X — Principal",
"sip_username": "new_username",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "auth",
"allowed_inbound_ips": null,
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_newtrunkid2",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"message": "Tronco SIP atualizado com sucesso.",
"data": {
"id": 42,
"phone_number": "1000",
"nickname": "Provedor X — Principal",
"sip_username": "myuser",
"sip_address": "sip.provider.com",
"sip_calling_format": "+e164",
"inbound_authorization_type": "ip",
"allowed_inbound_ips": ["203.0.113.10"],
"outbound_proxy": false,
"country_code": "US",
"inbound_trunk_id": "ST_newtrunkid1",
"outbound_trunk_id": "ST_yyyyyyyyyyyy",
"created_at": "2026-03-31T10:00:00.000000Z",
"updated_at": "2026-03-31T12:00:00.000000Z"
}
}
{
"error": "Tronco SIP não encontrado."
}
{
"message": "Os dados fornecidos são inválidos.",
"errors": {
"allowed_inbound_ips": ["Pelo menos um endereço IP permitido é necessário quando o tipo de autorização é \"ip\"."]
}
}
{
"error": "Falha ao atualizar o tronco SIP. Por favor, tente novamente ou entre em contato com o suporte."
}
Comportamento de Reaprovisionamento
As seguintes alterações de campo acionam o reaprovisionamento automático dos troncos de infraestrutura de voz:| Campo alterado | Tronco de entrada | Tronco de saída |
|---|---|---|
sip_username | Recriado | Recriado |
sip_password | Recriado | Recriado |
sip_address | — | Recriado |
phone_number | Recriado | Recriado |
inbound_authorization_type | Recriado | — |
allowed_inbound_ips | Recriado | — |
outbound_proxy | — | Recriado |
sip_calling_format, country_code são armazenados localmente e não acionam reaprovisionamento.
